%bcond_without check

%global goipath         github.com/hugelgupf/socketpair
%global commit          05d35a94e71444d53460c2b34dfb3dc87c99d0bd

%gometa

%global common_description %{expand:
socketpair is a Go library that provides bidirectionally connected net.Conns,
net.PacketConns made from socketpair(2) as well as bidirectionally connected
net.TCPConns.

socketpair is currently mostly used in testing Go protocol libraries.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Go library that provides bidirectionally connected Conns

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
